GoogleCloudSnitch (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.locator

## Class GoogleCloudSnitch

- java.lang.Object
- - org.apache.cassandra.locator.AbstractEndpointSnitch
  - - org.apache.cassandra.locator.AbstractNetworkTopologySnitch
    - - org.apache.cassandra.locator.GoogleCloudSnitch

- All Implemented Interfaces:
    IEndpointSnitch

      public class GoogleCloudSnitch
      extends AbstractNetworkTopologySnitch

  A snitch that assumes an GCE region is a DC and an GCE availability_zone is a rack. This information is available in the config for the node.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `gceRegion`
    `protected java.lang.String` | `gceZone`
    `protected static org.slf4j.Logger` | `logger`
    `protected static java.lang.String` | `ZONE_NAME_QUERY_URL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoogleCloudSnitch()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDatacenter(java.net.InetAddress endpoint)` Return the data center for which an endpoint resides in
    `java.lang.String` | `getRack(java.net.InetAddress endpoint)` Return the rack for which an endpoint resides in

    - ### Methods inherited from class org.apache.cassandra.locator.AbstractNetworkTopologySnitch

      `compareEndpoints`

    - ### Methods inherited from class org.apache.cassandra.locator.AbstractEndpointSnitch

      `getSortedListByProximity, gossiperStarting, isWorthMergingForRangeQuery, sortByProximity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

    - #### ZONE_NAME_QUERY_URL

          protected static final java.lang.String ZONE_NAME_QUERY_URL

      See Also:
        Constant Field Values

    - #### gceZone

          protected java.lang.String gceZone

    - #### gceRegion

          protected java.lang.String gceRegion

  - ### Constructor Detail

    - #### GoogleCloudSnitch

          public GoogleCloudSnitch()
                            throws java.io.IOException,
                                   ConfigurationException

      Throws:
        `java.io.IOException`
        `ConfigurationException`

  - ### Method Detail

    - #### getRack

          public java.lang.String getRack(java.net.InetAddress endpoint)

      Description copied from class: `AbstractNetworkTopologySnitch`
      Return the rack for which an endpoint resides in
      Specified by:
        `getRack` in interface `IEndpointSnitch`
      Specified by:
        `getRack` in class `AbstractNetworkTopologySnitch`
      Parameters:
        `endpoint` - a specified endpoint
      Returns:
        string of rack

    - #### getDatacenter

          public java.lang.String getDatacenter(java.net.InetAddress endpoint)

      Description copied from class: `AbstractNetworkTopologySnitch`
      Return the data center for which an endpoint resides in
      Specified by:
        `getDatacenter` in interface `IEndpointSnitch`
      Specified by:
        `getDatacenter` in class `AbstractNetworkTopologySnitch`
      Parameters:
        `endpoint` - a specified endpoint
      Returns:
        string of data center

Copyright © 2014 The Apache Software Foundation